import { useState, useEffect } from "react";
// import ApplicationLogo from '@/Components/ApplicationLogo';
// import Topbar from '@/Components/Navigation/Topbar';
import LeftMenu from "@/Components/Navigation/LeftMenu";
import RightBar from "@/Components/Navigation/RightBar";
// import 'bootstrap/dist/css/bootstrap.min.css';
import TopBar from "@/Components/Navigation/TopBar";
import Navbar from "@/Components/Navbar";
import { ToastContainer, toast  } from 'react-toastify';
import 'react-toastify/dist/ReactToastify.css';
import { usePage } from '@inertiajs/react';

// import Dropdown from '@/Components/Dropdown';
// import NavLink from '@/Components/NavLink';
// import ResponsiveNavLink from '@/Components/ResponsiveNavLink';
// import { Link } from '@inertiajs/react';

export default function DashboardLayout({ auth, header,  children }) {
  const [showingNavigationDropdown, setShowingNavigationDropdown] =
    useState(false);
    const { flash } =  usePage().props;

    useEffect(() => {
      if (flash?.error) {
        // Show error toast
        toast.error(flash.error);
      }
      if (flash?.success) {
        // Show success toast
        toast.success(flash.success);
      }
    }, [flash]); 

  console.log("flash ",flash);
  return (
    <div className="container-fluid">
   
      <div className="row">
        <div className="col-md-2 h-100">

            <TopBar />
            <Navbar />
        </div>
        <div className="col-md-10">

          <RightBar />
          <div className="bg-container">
            {/* <div className="row"> */}
            {children}
            {/* </div> */}
            <ToastContainer />

          </div>
        </div>
      </div>
    </div>
  );
}
